package intrinsic.mx.events;

public class CollectionEvent extends intrinsic.flash.events.Event {

	/** Accessors */

	/** Variables */
	public intrinsic.Array items;
	public int oldLocation;
	public int location;
	public String kind;

	/** Constants */
	public static final String VERSION = "version";
	public static final String COLLECTION_CHANGE = "collection_change";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public CollectionEvent() {
}

public CollectionEvent(String arg0) {
}

public CollectionEvent(String arg0, boolean arg1) {
}

public CollectionEvent(String arg0, boolean arg1, boolean arg2) {
}

public CollectionEvent(String arg0, boolean arg1, boolean arg2, String arg3) {
}

public CollectionEvent(String arg0, boolean arg1, boolean arg2, String arg3, int arg4) {
}

public CollectionEvent(String arg0, boolean arg1, boolean arg2, String arg3, int arg4, int arg5) {
}

public CollectionEvent(String arg0, boolean arg1, boolean arg2, String arg3, int arg4, int arg5, intrinsic.Array arg6) {
}


/** Static Methods */

/** Methods */
public native Object clone();
public native String toString();

}
